Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.el.decorator
Interface PropertyDecorator

All Known Implementing Classes:
  AbstractPropertyDecorator

    public interface PropertyDecorator

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Method Summary
`java.lang.Class` | `getType(java.lang.Object bean)` Return the type of the specified property.
`java.lang.Object` | `getValue(java.lang.Object bean)` Return the value of the specified property.
`boolean` | `setValue(java.lang.Object bean, java.lang.Object value)` Set the value of the specified property.

Method Detail

### getType

    java.lang.Class getType(java.lang.Object bean)
                            throws java.lang.IllegalArgumentException

  Return the type of the specified property.

  Parameters:
    `bean` - the decorated bean
  Returns:
    the type of the specified property or null
  Throws:
    `java.lang.IllegalArgumentException` - if the bean is null

### getValue

    java.lang.Object getValue(java.lang.Object bean)
                              throws java.lang.IllegalArgumentException

  Return the value of the specified property.

  Parameters:
    `bean` - the decorated bean
  Returns:
    the property value
  Throws:
    `java.lang.IllegalArgumentException` - if the bean is null

### setValue

    boolean setValue(java.lang.Object bean,
                     java.lang.Object value)
                     throws java.lang.IllegalArgumentException

  Set the value of the specified property.

  Parameters:
    `bean` - the decorated bean
    `value` - the new property value
  Returns:
    true if the property was succesfully set
  Throws:
    `java.lang.IllegalArgumentException` - if the bean is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD